public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-board/cockatrice/
Date: Wed, 21 Dec 2016 10:46:27 +0000 (UTC)	[thread overview]
Message-ID: <1482317167.bfc2e54ec072472688d96f06fc6cd5a2f70c0285.monsieurp@gentoo> (raw)

commit:     bfc2e54ec072472688d96f06fc6cd5a2f70c0285
Author:     Guillaume Seren <guillaumeseren <AT> gmail <DOT> com>
AuthorDate: Tue Nov  8 17:31:49 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 10:46:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfc2e54e

games-board/cockatrice: version bump to 20160630.

"Archivist Madness"

Release notes: https://github.com/Cockatrice/Cockatrice/releases/tag/2016-06-30-Release

Closes: https://github.com/gentoo/gentoo/pull/2780

 games-board/cockatrice/Manifest                   |  1 +
 games-board/cockatrice/cockatrice-20160630.ebuild | 68 +++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/games-board/cockatrice/Manifest b/games-board/cockatrice/Manifest
index ca33575..0ad7ff7 100644
--- a/games-board/cockatrice/Manifest
+++ b/games-board/cockatrice/Manifest
@@ -1 +1,2 @@
 DIST cockatrice-20160506.tar.gz 6910937 SHA256 379835006f38b603af01cf46d508fd40e862b451045807b444042914e8736fee SHA512 5f90804270907b3a915e763e6a20c39432f76591a11df7198526fde5635314ffbb27026860053c302be1ef1dfce1efa445c5849c72d1220575314d6c3d67e94f WHIRLPOOL a13c531980da2cf172e933c5bcb179f8dc9368514fe7d2ec12a203f54c04aa5258218c6d2fc1bee30826598e1e8c057c437af6810709c26b0863cd2b665bc159
+DIST cockatrice-20160630.tar.gz 6928656 SHA256 18c7ec245be8600d4c4be5868b71238ec669a38a24053d84aed608dae888a6f5 SHA512 a208b0e754285f9dd9f1f0bd28dbb29d97edf2d40da02bbe4dd6d6f01cfdff6fdc978ceaaf3d251252a69318519283790fa7ed5c552b08142e849e0b7c18d4cd WHIRLPOOL c339974104dc697f27c92263460b9dcd892819c0f7797247d3479bfb54b998118c22e7441ce9877749f6ffc265d7d5a6b5b5aa62bea1b0108fa558e0cc237e4d

diff --git a/games-board/cockatrice/cockatrice-20160630.ebuild b/games-board/cockatrice/cockatrice-20160630.ebuild
new file mode 100644
index 00000000..17e5d87
--- /dev/null
+++ b/games-board/cockatrice/cockatrice-20160630.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit cmake-utils eutils gnome2-utils
+
+DESCRIPTION="An open-source multiplatform software for playing card games over a network"
+HOMEPAGE="https://github.com/Cockatrice/Cockatrice"
+
+SRC_URI="https://github.com/Cockatrice/${PN}/archive/2016-06-30-Release.tar.gz -> ${P}.tar.gz"
+# As the default help/about display the sha1 we need it
+SHA1='277d7e2'
+S=${WORKDIR}/"Cockatrice-2016-06-30-Release"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dedicated server"
+
+DEPEND="
+	dev-libs/libgcrypt:0
+	dev-libs/protobuf
+	dev-qt/linguist-tools:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtprintsupport:5
+	!dedicated? (
+		dev-qt/qtgui:5
+		dev-qt/qtmultimedia:5
+		dev-qt/qtsvg:5
+	)"
+
+src_configure() {
+	local mycmakeargs=(
+		$(usex dedicated "-DWITHOUT_CLIENT=1 -DWITH_SERVER=1" "$(usex server "-DWITH_SERVER=1" "")")
+		-DICONDIR="/usr/share/icons"
+		-DDESKTOPDIR="/usr/share/applications"
+	)
+
+	# Add date in the help about, come from git originally
+	sed -i 's/^set(PROJECT_VERSION_FRIENDLY.*/set(PROJECT_VERSION_FRIENDLY \"'${SHA1}'\")/' cmake/getversion.cmake || die "Sed failed!"
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+}
+
+src_install() {
+	cmake-utils_src_install
+}
+
+pkg_preinst() {
+	use dedicated || gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	#FIXME:
+	elog "zonebg pictures are in ${GAMES_DATADIR}/${PN}/zonebg"
+	elog "sounds are in ${GAMES_DATADIR}/${PN}/sounds"
+	elog "you can use those directories in cockatrice settings"
+	use dedicated || gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	use dedicated || gnome2_icon_cache_update
+}


             reply	other threads:[~2016-12-21 10:46 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-21 10:46 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-09 16:19 [gentoo-commits] repo/gentoo:master commit in: games-board/cockatrice/ Andreas Sturmlechner
2021-06-24  2:16 Ionen Wolkens
2021-06-24  2:16 Ionen Wolkens
2021-05-31  8:20 Sam James
2021-01-24 10:18 James Le Cuirot
2021-01-24 10:18 James Le Cuirot
2021-01-24 10:18 James Le Cuirot
2019-12-06 20:32 David Seifert
2019-03-24 17:16 James Le Cuirot
2019-03-13 22:45 James Le Cuirot
2019-03-13 22:45 James Le Cuirot
2019-03-13 22:45 James Le Cuirot
2018-08-29  7:51 Andreas Sturmlechner
2018-08-22 18:39 Andreas Sturmlechner
2018-08-22 18:39 Andreas Sturmlechner
2017-08-25 22:46 Patrice Clement
2016-09-28 18:35 Michael Palimaka
2016-09-14 17:26 Austin English
2016-07-30 14:35 Mike Gilbert
2016-07-12 17:03 Patrice Clement
2016-05-06  2:50 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1482317167.bfc2e54ec072472688d96f06fc6cd5a2f70c0285.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox